org.eclipse.wst.jsdt.chromium

## Class InvalidContextException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.wst.jsdt.chromium.InvalidContextException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidContextException
    extends java.lang.RuntimeException

Signals that operation is not available because related `DebugContext` is no more valid. However, there is no guarantee this exception will be thrown in each case. Note also that `DebugContext.continueVm(org.eclipse.wst.jsdt.chromium.DebugContext.StepAction, int, org.eclipse.wst.jsdt.chromium.DebugContext.ContinueCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)` throws simple `IllegalStateException`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidContextException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidContextException

    public InvalidContextException(java.lang.Throwable cause)